Bug 661325 - Providing native systemd file for upcoming F15 Feature Systemd
Summary: Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnstat   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: SysVtoSystemd
TreeView+ depends on / blocked
 
Reported: 2010-12-08 15:10 UTC by Michał Piotrowski
Modified: 2012-02-14 14:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-14 14:00:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vnstat.service (162 bytes, text/plain)
2010-12-08 15:12 UTC, Michał Piotrowski
no flags Details
Native systemd service for vnstatd (177 bytes, text/plain)
2012-02-13 20:17 UTC, Jóhann B. Guðmundsson
no flags Details

Description Michał Piotrowski 2010-12-08 15:10:18 UTC
The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability

Comment 1 Michał Piotrowski 2010-12-08 15:12:22 UTC
Created attachment 467495 [details]
vnstat.service

I had some problems with -d option, so I used -n.

Comment 2 Michał Piotrowski 2010-12-09 08:45:09 UTC
This service should start after network.target
After=syslog.target network.target

Comment 3 Gwyn Ciesla 2012-02-13 19:35:48 UTC
Adrian, any objection to my making this change?

Comment 4 Adrian Reber 2012-02-13 19:47:05 UTC
No, if you do want to apply those changes... Please go ahead.

Comment 5 Jóhann B. Guðmundsson 2012-02-13 20:17:33 UTC
Created attachment 561665 [details]
Native systemd service for vnstatd

Comment 6 Gwyn Ciesla 2012-02-14 14:00:54 UTC
Done.  Thanks all!


Note You need to log in before you can comment on or make changes to this bug.